Api referenceArchitecture

Evaluate Repository Candidate Impact

Reference for Evaluate Repository Candidate Impact in the Hyperoru v1 API, including request, response, and authentication details.

POST/v1/workspaces/{workspace_id}/repositories/{repository_id}/architecture/impact

Evaluate Repository Candidate Impact. Returns a typed response and a request ID for operational support.

Authorization

hyperoru_session<token>

Opaque HttpOnly customer session. Mutations also require X-CSRF-Token.

In: cookie

Path Parameters

workspace_id*Workspace Id
Formatuuid
repository_id*Repository Id
Formatuuid

Query Parameters

max_depth?Max Depth
Default3
Range1 <= value <= 10
path_limit?Path Limit
Default200
Range1 <= value <= 1000
persist?Persist
Defaulttrue

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/repositories/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture/impact" \  -H "Content-Type: application/json" \  -d '{    "change_id": "string",    "origin": "commit",    "source_ref": "string"  }'
{
  "affected_entities": [
    {
      "contradictions": [
        {
          "alternatives": [
            {
              "evidence_ids": [
                "973ab5a6-b373-447d-ab9d-bdb660b35afc"
              ],
              "observed_at": "2019-08-24T14:15:22Z",
              "source_keys": [
                "string"
              ],
              "source_refs": [
                "string"
              ],
              "value": "string"
            },
            {
              "evidence_ids": [
                "973ab5a6-b373-447d-ab9d-bdb660b35afc"
              ],
              "observed_at": "2019-08-24T14:15:22Z",
              "source_keys": [
                "string"
              ],
              "source_refs": [
                "string"
              ],
              "value": "string"
            }
          ],
          "detected_at": "2019-08-24T14:15:22Z",
          "field": "string",
          "resolution_summary": "string",
          "resolved_at": "2019-08-24T14:15:22Z",
          "state": "open"
        }
      ],
      "directly_changed": true,
      "key": "string",
      "kind": "string",
      "name": "string",
      "owner_hint": "string"
    }
  ],
  "candidate": {
    "base_snapshot_id": "d92de3d8-b118-4dde-98df-eefefc575163",
    "change_id": "string",
    "entities": [
      {
        "attributes": {
          "property1": "string",
          "property2": "string"
        },
        "evidence_ids": [
          "973ab5a6-b373-447d-ab9d-bdb660b35afc"
        ],
        "key": "string",
        "kind": "string",
        "name": "string",
        "operation": "add"
      }
    ],
    "observed_at": "2019-08-24T14:15:22Z",
    "origin": "commit",
    "relationships": [
      {
        "attributes": {
          "property1": "string",
          "property2": "string"
        },
        "evidence_ids": [
          "973ab5a6-b373-447d-ab9d-bdb660b35afc"
        ],
        "kind": "string",
        "operation": "add",
        "source_key": "string",
        "target_key": "string"
      }
    ],
    "revision": "string",
    "schema_version": "candidate-change-v1",
    "source_ref": "string"
  },
  "change_set_id": "14a1580e-9582-45fb-93f1-d323ee91538c",
  "gate": {
    "outcome": "pass",
    "policy_enabled": true,
    "reasons": [
      "string"
    ]
  },
  "paths": [
    {
      "contradictions": [
        {
          "alternatives": [
            {
              "evidence_ids": [
                "973ab5a6-b373-447d-ab9d-bdb660b35afc"
              ],
              "observed_at": "2019-08-24T14:15:22Z",
              "source_keys": [
                "string"
              ],
              "source_refs": [
                "string"
              ],
              "value": "string"
            },
            {
              "evidence_ids": [
                "973ab5a6-b373-447d-ab9d-bdb660b35afc"
              ],
              "observed_at": "2019-08-24T14:15:22Z",
              "source_keys": [
                "string"
              ],
              "source_refs": [
                "string"
              ],
              "value": "string"
            }
          ],
          "detected_at": "2019-08-24T14:15:22Z",
          "field": "string",
          "resolution_summary": "string",
          "resolved_at": "2019-08-24T14:15:22Z",
          "state": "open"
        }
      ],
      "direction": "upstream",
      "entity_keys": [
        "string",
        "string"
      ],
      "evidence_ids": [
        "string"
      ],
      "relationship_keys": [
        "string"
      ],
      "root_key": "string"
    }
  ],
  "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",
  "score": {
    "components": [
      {
        "entity_keys": [
          "string"
        ],
        "evidence_ids": [
          "string"
        ],
        "key": "criticality",
        "maximum": 1,
        "points": 0,
        "rationale": "string",
        "relationship_keys": [
          "string"
        ]
      }
    ],
    "level": "low",
    "total": 0
  },
  "snapshot_generated_at": "2019-08-24T14:15:22Z",
  "snapshot_id": "163831af-8c1b-4992-a9cf-88c6306604c0",
  "uncertainties": [
    {
      "blocking": false,
      "code": "missing_source",
      "detail": "string",
      "evidence_ids": [
        "973ab5a6-b373-447d-ab9d-bdb660b35afc"
      ],
      "observed_at": "2019-08-24T14:15:22Z",
      "resolution_summary": "string",
      "resolved_at": "2019-08-24T14:15:22Z",
      "scope": "source",
      "source_keys": [
        "string"
      ],
      "state": "open",
      "subject_key": "string"
    }
  ]
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}